#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: vector-binary-instances
version: 0.2.1.0
id: vector-binary-instances-0.2.1.0-26762c4e688ef1a611d9cab7f458ee57

license: BSD3
copyright:
maintainer: dons00@gmail.com, bos@serpentine.com
stability: Experimental
homepage: https://github.com/bos/vector-binary-instances
package-url:
synopsis: Instances of Data.Binary and Data.Serialize for vector
description: Instances for Binary for the types defined in the vector package,
             making it easy to serialize vectors to and from disk. We use the
             generic interface to vectors, so all vector types are supported.
             Specific instances are provided for unboxed, boxed and storable
             vectors.
             .
             To serialize a vector:
             .
             > *Data.Vector.Binary> let v = Data.Vector.fromList [1..10]
             > *Data.Vector.Binary> v
             > fromList [1,2,3,4,5,6,7,8,9,10] :: Data.Vector.Vector
             > *Data.Vector.Binary> encode v
             > Chunk "\NUL\NUL\NUL\NUL\NUL...\NUL\NUL\NUL\t\NUL\NUL\NUL\NUL\n" Empty
             .
             Which you can in turn compress before writing to disk:
             .
             > compress . encode $ v
             > Chunk "\US\139\b\NUL\NUL\N...\229\240,\254:\NUL\NUL\NUL" Empty
category: Data
author: Don Stewart
exposed: True
exposed-modules: Data.Vector.Binary Data.Vector.Cereal
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/vector-binary-instances-0.2.1.0
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/vector-binary-instances-0.2.1.0
              /usr/local/lib
hs-libraries: HSvector-binary-instances-0.2.1.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         binary-0.7.1.0-fdf5e9ff14a1a435f4c200e5bb5946e6
         cereal-0.4.0.1-d0a556a13339403d1e6fd15da8331e8e
         vector-0.10.9.1-2584ae046ff7f59a3c2a1976714626fe
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/vector-binary-instances-0.2.1.0/html/vector-binary-instances.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/vector-binary-instances-0.2.1.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
